Subject: [TLS] draft-ietf-tls-ecc-07 - errors in sample extension octets

From: Rob Dugal <[email-masked]>
Date: Thu, 17 Mar 2005 13:55:01 -0500

>From section 5.1

   As an example, a client that only supports secp192r1 (aka NIST P-192)
   and secp224r1 (aka NIST P-224) and prefers to use secp192r1, would
   include an elliptic_curves extension with the following octets:

        00 ?? 02 13 15

  If "00 ??" is the the ExtensionType and "02 13 15" is the length and
  named curves, then the 2-byte length ("00 03") of the extension_data
  field from RFC 3546 appears to be missing from this example.

  Shouldn't the correct encoding be "00 ?? 00 03 02 13 15"?

-----------------------------------------------
Robert Dugal
Member of Development Group
Certicom Corp.
EMAIL: [email-masked]
PHONE: (905) 501-3848
FAX  : (905) 507-4230
WEBSITE: www.certicom.com

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls

---

From: Bodo Moeller <[email-masked]>
Date: Fri, 18 Mar 2005 23:03:17 +0100

> Shouldn't the correct encoding be "00 ?? 00 03 02 13 15"?

True.  Thanks for pointing out the error in draft-ietf-tls-ecc-07.txt!